Documentation · API reference
POST/api/v1/auth/reset/finish

Post reset finish

What to send

ResetFinish

everywhere
booleanSign out everywhere else.
password
stringneeded
token
stringneeded

The answer

Status 200

ResetDone

signed_out
integerneededHow many other sessions were signed out.

Asking

With your token from Settings
curl -X POST https://tidekeeper.eu/api/v1/auth/reset/finish \
    -H "Authorization: Bearer $TIDEKEEPER_TOKEN" \
    -H "Content-Type: application/json" \
    -d '{"password": "…", "token": "…"}'
With your token from Settings
const answer = await fetch("https://tidekeeper.eu/api/v1/auth/reset/finish", {
  method: "POST",
  headers: {
    Authorization: `Bearer ${process.env.TIDEKEEPER_TOKEN}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({"password": "…", "token": "…"}),
}).then((r) => r.json());